QT += core gui network multimedia sql concurrent


greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
TARGET = cameravideo
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += APP_VERSION=\\\"1.3.2\\\"
DEFINES += QT_MESSAGELOGCONTEXT
DEFINES += QT_NO_DEBUG_OUTPUT
QMAKE_LIBDIR += /usr/local/lib

INCLUDEPATH+=/usr/local/include/opencv4
INCLUDEPATH+=/usr/local/include/hyperface
INCLUDEPATH+=/usr/local/include/hyper
INCLUDEPATH+=/usr/local/include/XNetSDK
INCLUDEPATH+=/usr/local/include/human
INCLUDEPATH+=/usr/local/include/CImg
INCLUDEPATH+=/usr/local/include/mqtt




# 禁用所有警告
QMAKE_CXXFLAGS += -w

#unix:contains(QMAKE_HOST.arch, x86_64) {
#    QMAKE_LIBDIR += /home/mark/Public/x86_opencv/lib
#}
#unix:contains(QMAKE_HOST.arch, arm) {
#    QMAKE_LIBDIR += /usr/local/lib
#}

## 根据编译器类型选择库路径和头文件路径
#unix: {
#    # x86 架构
#    contains(QMAKE_HOST.arch, x86_64) {
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/opencv4
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/hyperface
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/hyper
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/XNetSDK
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/human
#        INCLUDEPATH+=/home/mark/Public/x86_opencv/include/CImg

#    }
#    # ARM 架构
#    contains(QMAKE_HOST.arch, arm) {
#        INCLUDEPATH+=/usr/local/include/opencv4
#        INCLUDEPATH+=/usr/local/include/hyperface
#        INCLUDEPATH+=/usr/local/include/hyper
#        INCLUDEPATH+=/usr/local/include/XNetSDK
#        INCLUDEPATH+=/usr/local/include/human
#    }
#}

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0
#INCLUDEPATH+=/usr/local/include/opencv4

#INCLUDEPATH+=/usr/local/include/hyperface
#INCLUDEPATH+=/usr/local/include/hyper

#QMAKE_LIBDIR += /usr/local/lib

#OPENCV_LIBS=-L /usr/local/lib -lopencv_core -lopencv_highgui -lopencv_videoio -lopencv_imgproc -lHyperFace -lopencv_imgcodecs

LIBS += -lopencv_core \
        -lopencv_highgui \
        -lopencv_videoio \
        -lopencv_imgproc \
        -lopencv_video \
        -lHyperFace \
        -lopencv_imgcodecs \
        -lhyperlpr3 \
        -lopencv_objdetect \
        -lsohuman \
        -lpaho-mqtt3a \
#        -lssl \
#        -lcrypto \ sudo apt-get install libjpeg-dev libpng-dev
        -lc \
        -lXNetSDK
        #-lz
SOURCES += \
    Common.cpp \
    LogHandler.cpp \
    main.cpp \
    mainwindow.cpp \
    LicensePlateRecognition.cpp \
    MediaFaceImage.cpp \
    RecognizedInfo.cpp \
    Httpclient.cpp \
    HttpService.cpp \
    TaskRunnable.cpp \
    CameraHandle.cpp \
    ParkingSpaceInfo.cpp \
    HumanDetection.cpp \
    ScopeSemaphoreExit.cpp \
    FaceReconitionHandle.cpp \
    AlgorithmTaskManage.cpp \
    BaseAlgorithm.cpp \
    MqttSubscriber.cpp

HEADERS += \
    Common.h \
    LogHandle.h \
    mainwindow.h \
    LicensePlateRecognition.h \
    MediaFaceImage.h \
    RecognitionInfo.h \
    HttpClient.h \
    HttpService.h \
    VidesData.h \
    TaskRunnable.h \
    CameraHandle.h \
    ParkingSpaceInfo.h \
    HumanDetection.h \
    ScopeSemaphoreExit.h \
    FaceReconitionHandle.h \
    AlgorithmTaskManage.h \
    BaseAlgorithm.h \
    MqttSubscriber.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

#RESOURCES += \
#    BG.qrc


